<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('listing::referral.name') !!} <small> {!! trans('app.manage') !!} {!! trans('listing::referral.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('listing::referral.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='listing-referral-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('listing/referral')!!}">{!! trans('listing::referral.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('listing/referral?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('listing/referral?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('listing/referral/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('listing::admin.referral.partial.actions')
                    -->
                    @include('listing::admin.referral.partial.filter')
                    @include('listing::admin.referral.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="listing-referral-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="listing-referral-check-all"></th>
                        <th data-field="agent_id">{!! trans('listing::referral.label.agent_id')!!}</th>
                    <th data-field="referral_id">{!! trans('listing::referral.label.referral_id')!!}</th>
                    <th data-field="expiry_at">{!! trans('listing::referral.label.expiry_at')!!}</th>
                    <th data-field="agent_percentage">{!! trans('listing::referral.label.agent_percentage')!!}</th>
                    <th data-field="buyer_percentage">{!! trans('listing::referral.label.buyer_percentage')!!}</th>
                    <th data-field="establishment_name">{!! trans('listing::referral.label.establishment_name')!!}</th>
                    <th data-field="address1">{!! trans('listing::referral.label.address1')!!}</th>
                    <th data-field="address2">{!! trans('listing::referral.label.address2')!!}</th>
                    <th data-field="phone">{!! trans('listing::referral.label.phone')!!}</th>
                    <th data-field="email">{!! trans('listing::referral.label.email')!!}</th>
                    <th data-field="fax">{!! trans('listing::referral.label.fax')!!}</th>
                    <th data-field="orn">{!! trans('listing::referral.label.orn')!!}</th>
                    <th data-field="ded_lisc">{!! trans('listing::referral.label.ded_lisc')!!}</th>
                    <th data-field="po_box">{!! trans('listing::referral.label.po_box')!!}</th>
                    <th data-field="buyer_agent_name">{!! trans('listing::referral.label.buyer_agent_name')!!}</th>
                    <th data-field="buyer_agent_brn">{!! trans('listing::referral.label.buyer_agent_brn')!!}</th>
                    <th data-field="buyer_agent_date_issued">{!! trans('listing::referral.label.buyer_agent_date_issued')!!}</th>
                    <th data-field="buyer_agent_mobile">{!! trans('listing::referral.label.buyer_agent_mobile')!!}</th>
                    <th data-field="buyer_agent_email">{!! trans('listing::referral.label.buyer_agent_email')!!}</th>
                    <th data-field="fee_payby">{!! trans('listing::referral.label.fee_payby')!!}</th>
                    <th data-field="budget">{!! trans('listing::referral.label.budget')!!}</th>
                    <th data-field="documents">{!! trans('listing::referral.label.documents')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#listing-referral-entry', '{!!guard_url('listing/referral/0')!!}');
    oTable = $('#listing-referral-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('listing/referral') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'agent_id'},
            {data :'referral_id'},
            {data :'expiry_at'},
            {data :'agent_percentage'},
            {data :'buyer_percentage'},
            {data :'establishment_name'},
            {data :'address1'},
            {data :'address2'},
            {data :'phone'},
            {data :'email'},
            {data :'fax'},
            {data :'orn'},
            {data :'ded_lisc'},
            {data :'po_box'},
            {data :'buyer_agent_name'},
            {data :'buyer_agent_brn'},
            {data :'buyer_agent_date_issued'},
            {data :'buyer_agent_mobile'},
            {data :'buyer_agent_email'},
            {data :'fee_payby'},
            {data :'budget'},
            {data :'documents'},
        ],
        "pageLength": 25
    });

    $('#listing-referral-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#listing-referral-list').DataTable().row( this ).data();
        $('#listing-referral-entry').load('{!!guard_url('listing/referral')!!}' + '/' + d.id);
    });

    $('#listing-referral-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#listing-referral-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#listing-referral-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#listing-referral-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>