<?php

namespace Bixo\Listing\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReferralTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Listing\Models\Referral $referral)
    {
        return [
            'id'                => $referral->getRouteKey(),
            'key'               => [
                'public'    => $referral->getPublicKey(),
                'route'     => $referral->getRouteKey(),
            ], 
            'agent_id'          => $referral->agent_id,
            'referral_id'       => $referral->referral_id,
            'expiry_at'         => $referral->expiry_at,
            'agent_percentage'  => $referral->agent_percentage,
            'buyer_percentage'  => $referral->buyer_percentage,
            'establishment_name' => $referral->establishment_name,
            'address1'          => $referral->address1,
            'address2'          => $referral->address2,
            'phone'             => $referral->phone,
            'email'             => $referral->email,
            'fax'               => $referral->fax,
            'orn'               => $referral->orn,
            'ded_lisc'          => $referral->ded_lisc,
            'po_box'            => $referral->po_box,
            'buyer_agent_name'  => $referral->buyer_agent_name,
            'buyer_agent_brn'   => $referral->buyer_agent_brn,
            'buyer_agent_date_issued' => $referral->buyer_agent_date_issued,
            'buyer_agent_mobile' => $referral->buyer_agent_mobile,
            'buyer_agent_email' => $referral->buyer_agent_email,
            'fee_payby'         => $referral->fee_payby,
            'budget'            => $referral->budget,
            'documents'         => $referral->documents,
            'user_id'           => $referral->user_id,
            'deleted_at'        => $referral->deleted_at,
            'url'               => [
                'public'    => trans_url('listing/'.$referral->getPublicKey()),
                'user'      => guard_url('listing/referral/'.$referral->getRouteKey()),
            ], 
            'status'            => trans('app.'.$referral->status),
            'created_at'        => format_date($referral->created_at),
            'updated_at'        => format_date($referral->updated_at),
        ];
    }
}